# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
# Copyright 2023-2025 Analog Devices Inc.
# Copyright 2023 Kim Seer Paller
# Copyright 2025 Marilene Andrade Garcia
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/adc/adi,max14001.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Analog Devices MAX14001-MAX14002 ADC

maintainers:
  - Kim Seer Paller <kimseer.paller@analog.com>
  - Marilene Andrade Garcia <marilene.agarcia@gmail.com>

description: |
    Single channel 10 bit ADC with SPI interface.
    Datasheet can be found here
      https://www.analog.com/media/en/technical-documentation/data-sheets/MAX14001-MAX14002.pdf

$ref: /schemas/spi/spi-peripheral-props.yaml#

properties:
  compatible:
    oneOf:
      - const: adi,max14002
      - items:
          - const: adi,max14001
          - const: adi,max14002

  reg:
    maxItems: 1

  spi-max-frequency:
    maximum: 5000000

  vdd-supply:
    description:
      Isolated DC-DC power supply input voltage.

  vddl-supply:
    description:
      Logic power supply.

  refin-supply:
    description:
      ADC voltage reference supply.

  interrupts:
    minItems: 1
    items:
      - description: |
          cout: comparator output signal that asserts high on the COUT pin
          when ADC readings exceed the upper threshold and low when readings
          fall below the lower threshold.
      - description: |
          fault: when fault reporting is enabled, the FAULT pin is asserted
          low whenever one of the monitored fault conditions occurs.

  interrupt-names:
    minItems: 1
    items:
      - const: cout
      - const: fault

required:
  - compatible
  - reg
  - vdd-supply
  - vddl-supply

unevaluatedProperties: false

examples:
  - |
    spi {
      #address-cells = <1>;
      #size-cells = <0>;

      adc@0 {
        compatible = "adi,max14001", "adi,max14002";
        reg = <0>;
        spi-max-frequency = <5000000>;
        spi-lsb-first;
        vdd-supply = <&vdd>;
        vddl-supply = <&vddl>;
      };
    };
...
